MONGOC_SOCKET_ACCEPT(3)

NAME
mongoc_socket_accept - mongoc_socket_accept()

SYNOPSIS

        mongoc_socket_t *
        mongoc_socket_accept (mongoc_socket_t *sock,
                              int64_t expire_at) BSON_GNUC_WARN_UNUSED_RESULT;

PARAMETERS

    •   sock: A mongoc_socket_t.

    •   expire_at: An int64_t containing a timeout in milliseconds.

DESCRIPTION

This function is a wrapper around the BSD socket accept() interface. It allows for more portability between UNIX-like and Microsoft Windows platforms.

RETURNS

NULL upon failure to accept or timeout. A newly allocated mongoc_socket_t that should be released with mongoc_socket_destroy() on success.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc